<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSLFTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSLFTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideShowFactory.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFTable.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xslf.usermodel</div>
    <h2 title="Class XSLFTable" class="title">Class XSLFTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                       title="class in org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel.XSLFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                               title="class in org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel.XSLFGraphicFrame</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xslf.usermodel.XSLFTable</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                                 title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                            title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSLFTable</span>
extends <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
           title="class in org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a>
implements java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</pre>
                <div class="block">Represents a table in a .pptx presentation</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#addRow--">addRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getCell-int-int-">getCell</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">Gets a cell</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getColumnWidth-int-">getColumnWidth</a></span>(int&nbsp;idx)</code>
                                    <div class="block">Gets the width (in points) of the n-th column</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst">
                                    <code>org.openxmlformats.schemas.drawingml.x2006.main.CTTable</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getCTTable--">getCTTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getNumberOfColumns--">getNumberOfColumns</a></span>()</code>
                                    <div class="block">Return the maximum number of columns.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getNumberOfRows--">getNumberOfRows</a></span>()</code>
                                    <div class="block">Return the number of rows</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getRowHeight-int-">getRowHeight</a></span>(int&nbsp;row)</code>
                                    <div class="block">Gets the row height</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getRows--">getRows</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyle.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#getTableStyle--">getTableStyle</a></span>()</code>
                                    <div class="block">Get assigned TableStyle</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#mergeCells-int-int-int-int-">mergeCells</a></span>(int&nbsp;firstRow,
                                    int&nbsp;lastRow,
                                    int&nbsp;firstCol,
                                    int&nbsp;lastCol)</code>
                                    <div class="block">Merge cells of a table</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#setColumnWidth-int-double-">setColumnWidth</a></span>(int&nbsp;idx,
                                    double&nbsp;width)</code>
                                    <div class="block">Sets the width (in points) of the n-th column</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html#setRowHeight-int-double-">setRowHeight</a></span>(int&nbsp;row,
                                    double&nbsp;height)</code>
                                    <div class="block">Sets the row height.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xslf.usermodel.XSLFGraphicFrame">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getFallbackPicture--">getFallbackPicture</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html#setRotation-double-">setRotation</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xslf.usermodel.XSLFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xslf.usermodel.<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#fetchShapeProperty-org.apache.poi.xslf.model.PropertyFetcher-">fetchShapeProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgPr--">getBgPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getBgRef--">getBgRef</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getChild-java.lang.Class-java.lang.String-java.lang.String-">getChild</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getCNvPr--">getCNvPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getFillPaint--">getFillPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getGrpSpPr--">getGrpSpPr</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getShapeProperties--">getShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getSpStyle--">getSpStyle</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getXmlObject--">getXmlObject</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties-org.apache.poi.openxml4j.opc.PackagePart-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTGradientFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.xslf.usermodel.XSLFTheme-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.openxmlformats.schemas.drawingml.x2006.main.CTStyleMatrixReference-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectPaint-org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate.XSLFFillProperties-org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xslf.usermodel.XSLFTheme-boolean-">selectPaint</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#selectProperty-java.lang.Class-java.lang.String-">selectProperty</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setParent-org.apache.poi.xslf.usermodel.XSLFShapeContainer-">setParent</a>,
                                    <a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PlaceableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCell-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a>&nbsp;getCell(int&nbsp;row,
                             int&nbsp;col)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getCell-int-int-">TableShape</a></code></span>
                                </div>
                                <div class="block">Gets a cell</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getCell-int-int-">getCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row index (0-based)</dd>
                                    <dd><code>col</code> - the column index (0-based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell or null if the cell doesn't exists, e.g. when accessing
                                        a merged cell or if the index is out of bounds
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCTTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCTTable</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTTable&nbsp;getCTTable()</pre>
                            </li>
                        </ul>
                        <a name="getNumberOfColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfColumns</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfColumns()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfColumns--">TableShape</a></code></span>
                                </div>
                                <div class="block">Return the maximum number of columns.
                                    If the table contains merged cells, the number of columns might be less than the
                                    maximum.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfColumns--">getNumberOfColumns</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the maximum number of column</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfRows</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfRows()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfRows--">TableShape</a></code></span>
                                </div>
                                <div class="block">Return the number of rows</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfRows--">getNumberOfRows</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row count</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumnWidth-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnWidth</h4>
                                <pre>public&nbsp;double&nbsp;getColumnWidth(int&nbsp;idx)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getColumnWidth-int-">TableShape</a></code></span>
                                </div>
                                <div class="block">Gets the width (in points) of the n-th column</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getColumnWidth-int-">getColumnWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - the column index (0-based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the width (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColumnWidth-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColumnWidth</h4>
                                <pre>public&nbsp;void&nbsp;setColumnWidth(int&nbsp;idx,
                           double&nbsp;width)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setColumnWidth-int-double-">TableShape</a></code></span>
                                </div>
                                <div class="block">Sets the width (in points) of the n-th column</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setColumnWidth-int-double-">setColumnWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - the column index (0-based)</dd>
                                    <dd><code>width</code> - the width (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowHeight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowHeight</h4>
                                <pre>public&nbsp;double&nbsp;getRowHeight(int&nbsp;row)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getRowHeight-int-">TableShape</a></code></span>
                                </div>
                                <div class="block">Gets the row height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getRowHeight-int-">getRowHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row index (0-based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the height (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRowHeight-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowHeight</h4>
                                <pre>public&nbsp;void&nbsp;setRowHeight(int&nbsp;row,
                         double&nbsp;height)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setRowHeight-int-double-">TableShape</a></code></span>
                                </div>
                                <div class="block">Sets the row height.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setRowHeight-int-double-">setRowHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextParagraph.html"
                                                title="class in org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row index (0-based)</dd>
                                    <dd><code>height</code> - the height to set (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                            title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRows</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&gt;&nbsp;getRows()</pre>
                            </li>
                        </ul>
                        <a name="addRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addRow</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableRow.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableRow</a>&nbsp;addRow()</pre>
                            </li>
                        </ul>
                        <a name="mergeCells-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>mergeCells</h4>
                                <pre>public&nbsp;void&nbsp;mergeCells(int&nbsp;firstRow,
                       int&nbsp;lastRow,
                       int&nbsp;firstCol,
                       int&nbsp;lastCol)</pre>
                                <div class="block">Merge cells of a table</div>
                            </li>
                        </ul>
                        <a name="getTableStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getTableStyle</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableStyle.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFTableStyle</a>&nbsp;getTableStyle()</pre>
                                <div class="block">Get assigned TableStyle</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the assigned TableStyle</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlideShowFactory.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFTable.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
